# $Revision: 1.15 $, $Date: 2012/03/28 07:25:06 $
Summary:	A graphical regular expression explorer
Summary(pl.UTF-8):	Graficzny eksplorator wyrażeń regularnych
Name:		gregexp
Version:	0.4
Release:	3
License:	GPL
Group:		Development/Tools
Source0:	http://dentrassi.de/download/gregexp/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	ac1a6421b5cae83f6c541d2263f8d533
URL:		http://dentrassi.de/download/gregexp/
Patch0:		%{name}-desktop.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel
BuildRequires:	libglade2-devel >= 2.0
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A graphical regular expression explorer that uses PCRE as regular
expression engine.

%description -l pl.UTF-8
Graficzny eksplorator wyrażeń regularnych, który używa PCRE jako
silnika wyrażeń regularnych.

%prep
%setup -q
%patch0 -p1

%build
glib-gettextize --copy --force
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gregexp.spec,v $
Revision 1.15  2012/03/28 07:25:06  arekm
- release 3

Revision 1.14  2011/02/28 20:53:09  glen
- fix duplicate Categories in .desktop file

Revision 1.13  2008/01/25 23:17:03  wolvverine
- up to 0.4

Revision 1.12  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.10  2005/06/02 19:57:42  qboosh
- popt-devel is required by libgnome-devel not here
- s/libglade-devel/libglade2-devel/

Revision 1.9  2005/06/01 20:08:38  zbyniu
- BR: pkgconfig, popt-devel

Revision 1.8  2004/12/15 12:17:16  radek
- minor License unifications

Revision 1.7  2004/07/16 07:41:51  ankry
- desktop fixes, rel. 2

Revision 1.6  2004/03/16 20:38:53  adamg
- release 1

Revision 1.5  2004/03/16 20:30:34  adamg
- updated to 0.3

Revision 1.4  2004/03/13 18:49:36  adamg
- BuildRequires: libglade-devel, libgnomeui-devel

Revision 1.3  2004/03/13 18:15:02  adamg
- BuildRequires: autoconf, automake, glib2-devel, pcre-devel
- cosmetics

Revision 1.2  2004/03/13 18:03:48  adamg
- pl summary and description

Revision 1.1  2004/03/13 17:56:36  adamg
- initial import
